summaryrefslogtreecommitdiff
path: root/xdgmenumaker/debian/xdgmenumaker-user.sh
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-02-12 00:43:00 +0000
committerB Stack <bgstack15@gmail.com>2020-02-12 00:43:00 +0000
commit69001f6e35ac4d49d6ceab76344854fa77e808e2 (patch)
treeae20854b6feb039bcc7f92c145b7ff264f1d9130 /xdgmenumaker/debian/xdgmenumaker-user.sh
parentMerge branch 'xdg-themes-stackrpms-bump' into 'master' (diff)
parentadd xdgmenumaker-user script and menu entry (diff)
downloadstackrpms-69001f6e35ac4d49d6ceab76344854fa77e808e2.tar.gz
stackrpms-69001f6e35ac4d49d6ceab76344854fa77e808e2.tar.bz2
stackrpms-69001f6e35ac4d49d6ceab76344854fa77e808e2.zip
Merge branch 'updates' into 'master'
veracrypt, xdgmenumaker, ublock-origin, notepadpp, palemoon, xseticon dpkg Closes #16 See merge request bgstack15/stackrpms!122
Diffstat (limited to 'xdgmenumaker/debian/xdgmenumaker-user.sh')
-rwxr-xr-xxdgmenumaker/debian/xdgmenumaker-user.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/xdgmenumaker/debian/xdgmenumaker-user.sh b/xdgmenumaker/debian/xdgmenumaker-user.sh
new file mode 100755
index 0000000..cbf8a33
--- /dev/null
+++ b/xdgmenumaker/debian/xdgmenumaker-user.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+# Startdate: 2020-02-11
+
+echo " $* " | grep -qE -e "\<fluxbox\>" && _XDG_REQUESTED_DESKTOP=fluxbox
+
+case "${_XDG_REQUESTED_DESKTOP}" in
+ fluxbox)
+ /usr/bin/xdgmenumaker -f fluxbox -i > "${HOME}/.fluxbox/xdg-menu"
+ ;;
+ *)
+ echo "Gotta say unh. Feature \"$*\" not yet implemented." 1>&2
+ exit 1
+ ;;
+esac
bgstack15